Bug 34321 - RFE: Please add xinetd $OPTION in matching initscript
RFE: Please add xinetd $OPTION in matching initscript
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: xinetd (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-02 02:21 EDT by R P Herrold
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-02 11:17:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2001-04-02 02:21:51 EDT
Per discussion on the Beta-tester's list some time ago, add a file:

 /etc/sysconfig/xinetd

 and source it in the xinetd initscript, to allow, eg, 

 OPTIONS=" -d " 

 which is passed to the start) option thus:

     daemon /usr/sbin/xinetd  $OPTIONS

 -------------------

 Also requires documentation addon in the print docs ...    

 In the instant example, this allows debugging the XINETD process.  I have
been tracking down a wrapepred service problem, and this gave me the detail
I needed.


 ... The use of an option avoids tampering with the initscript itselfm
preserving the rpm -V xinetd validity.
Comment 1 Trond Eivind Glomsrxd 2001-04-02 11:17:36 EDT
OK, this might be useful - not for adding "-d" (if you're debugging, you can
certainly change the initscript), but for things like "-limit" and "-loop".
Comment 2 Trond Eivind Glomsrxd 2001-04-04 19:01:16 EDT
Added that to xinetd-2.1.8.9pre14-8.

Note You need to log in before you can comment on or make changes to this bug.